## srain 1.3.1

=== debian/changelog ===
srain (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Updated license to GPL-2+ for some files.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 29 Jan 2022 18:16:14 +0530

srain (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #995142)

 -- Anuradha Weeraman <anuradha@debian.org>  Fri, 01 Oct 2021 18:10:53 +0530

## srain 1.3.2

=== meson_options.txt ===
option('doc_builders', type : 'array', choices : ['html', 'man'], value : ['html', 'man'])

=== debian/changelog ===
srain (1.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 19 Feb 2022 11:36:53 +0530

=== debian/control ===
Source: srain
Section: net
Priority: optional
Maintainer: Anuradha Weeraman <anuradha@debian.org>
Build-Depends: debhelper-compat (= 13),
	       meson,
	       ninja-build,
	       libgtk-3-dev,
	       libconfig-dev,
	       libsoup2.4-dev,
	       libssl-dev,
	       libsecret-1-dev,
	       python3-sphinx
Standards-Version: 4.6.0
Homepage: https://srain.im
Vcs-Browser: https://salsa.debian.org/debian/srain
Vcs-Git: https://salsa.debian.org/debian/srain.git
Rules-Requires-Root: no

Package: srain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Description: graphical IRC client based on GTK+
 Srain is a modern IRC client with a GTK+ GUI that is:
   * Fully open source
   * RFC 1459, 2812 compatible
   * Partial IRCv3 support
   * Multi-platform support (Linux, Windows, macOS and BSD)
 Capabilities of a modern graphical IRC client:
   * Convenient connection panel
   * Interactive channel search
   * Forward message in one click
   * URL preview
   * Desktop notification
   * Special optimization for bridge/relay bot
 Power-user capabilities:
   * Anything can be done via commands
   * Fine-grained configuration with hot update support
   * Regex based message render and filter mechanisms

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson --with=sphinxdoc

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc
	rm debian/srain/usr/share/doc/srain/html/.nojekyll

## srain 1.4.0

=== debian/changelog ===
srain (1.4.0-1) unstable; urgency=medium

  * New upstream version. 

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 15 May 2022 19:15:34 +0530

## srain 1.5.0

=== Makefile ===
MAKE = make
RM = rm
MKDIR = mkdir
MESON = meson
DBG = gdb

BUILDDIR = builddir
PREFIX = $(PWD)/prefix
FAKE_HOME = $(PREFIX)/home/srain
FAKE_XDG_DATA_DIRS = $(PREFIX)/share:/usr/share:/usr/local/share

.PHONY: default
default:
	$(MAKE) build

.PHONY: build
build: | $(BUILDDIR)
	$(MESON) compile -C $(BUILDDIR)

.PHONY: run
run: install
	unset XDG_CONFIG_HOME XDG_DATA_HOME XDG_CACHE_HOME; \
	export HOME=$(FAKE_HOME); \
	export XDG_DATA_DIRS=$(FAKE_XDG_DATA_DIRS); \
	"$(PREFIX)/bin/srain"

.PHONY: debug
debug: install
	unset XDG_CONFIG_HOME XDG_DATA_HOME XDG_CACHE_HOME; \
	export HOME=$(FAKE_HOME); \
	export XDG_DATA_DIRS=$(FAKE_XDG_DATA_DIRS); \
	$(DBG) $(PREFIX)/bin/srain -ex r -ex bt -ex q

.PHONY: inspect
inspect:
	GTK_DEBUG=interactive \
	GOBJECT_DEBUG=instance-countcd \
	$(MAKE) run

.PHONY: install
install: | $(BUILDDIR) $(PREFIX)
	$(MESON) install -C $(BUILDDIR)

.PHONY: clean
clean:
	$(RM) -rf $(BUILDDIR)
	$(RM) -rf $(PREFIX)

.PHONY: doc
doc:
	xdg-open $(PREFIX)/share/doc/srain/html/index.html

$(BUILDDIR): meson.build | $(PREFIX)
	$(MESON) setup --prefix=$(PREFIX) --buildtype=debug $@

$(PREFIX):
	$(MKDIR) $@

=== debian/changelog ===
srain (1.5.0-2) unstable; urgency=medium

  * Bumped up standards version.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 28 Jan 2023 18:05:23 +0530

srain (1.5.0-1) unstable; urgency=medium

  * New upstream version. 

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 08 Oct 2022 18:54:24 +0530

srain (1.4.1-1) unstable; urgency=medium

  * New upstream version. 
  * Updated homepage URL.
  * Bumped up standards version.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 06 Aug 2022 22:37:31 +0530

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
 	       libssl-dev,
 	       libsecret-1-dev,
 	       python3-sphinx
-Standards-Version: 4.6.0
-Homepage: https://srain.im
+Standards-Version: 4.6.2
+Homepage: https://srain.silverrainz.me/
 Vcs-Browser: https://salsa.debian.org/debian/srain
 Vcs-Git: https://salsa.debian.org/debian/srain.git
 Rules-Requires-Root: no
 
 Package: srain
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: graphical IRC client based on GTK+
  Srain is a modern IRC client with a GTK+ GUI that is:
    * Fully open source

## srain 1.5.1

=== meson_options.txt ===
option('doc_builders', type : 'array', choices : ['html', 'man'], value : [])

=== docs/requirements.txt ===
sphinx-book-theme==0.3.3
ablog
sphinxnotes-strike
sphinxnotes-mock
sphinx_sitemap
sphinxcontrib.gtagjs
sphinxext.opengraph

=== debian/changelog ===
srain (1.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:21:56 +1100

srain (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:26:17 +0000

srain (1.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 15 Oct 2023 16:40:04 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: srain
 Section: net
 Priority: optional
-Maintainer: Anuradha Weeraman <anuradha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anuradha Weeraman <anuradha@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       meson,
 	       ninja-build,

## srain 1.7.0

=== meson_options.txt ===
option('doc_builders', type : 'array', choices : ['html', 'man'], value : [])
option('app_indicator', type : 'boolean', value : true)

=== debian/changelog ===
srain (1.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097929)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 14:03:11 +0300

srain (1.7.0-1) unstable; urgency=high

  * New upstream version.
  * Upgraded to libsoup-3 (Closes: #1070404)
  * Updated build dependencies.
  * Bumped up standards version.

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 02 Jun 2024 18:19:07 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: srain
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anuradha Weeraman <anuradha@debian.org>
+Maintainer: Anuradha Weeraman <anuradha@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       meson,
 	       ninja-build,
 	       libgtk-3-dev,
 	       libconfig-dev,
-	       libsoup2.4-dev,
+	       libsoup-3.0-dev,
 	       libssl-dev,
 	       libsecret-1-dev,
-	       python3-sphinx
-Standards-Version: 4.6.2
+	       python3-sphinx,
+	       libayatana-appindicator3-dev
+Standards-Version: 4.7.0
 Homepage: https://srain.silverrainz.me/
 Vcs-Browser: https://salsa.debian.org/debian/srain
 Vcs-Git: https://salsa.debian.org/debian/srain.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/srain_$1\.tar\.gz/" \
  https://github.com/SrainApp/srain/tags .*/v?(\d\S+)\.tar\.gz

## srain 1.8.1

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,14 @@
 	xdg-open $(PREFIX)/share/doc/srain/html/index.html
 
 $(BUILDDIR): meson.build | $(PREFIX)
-	$(MESON) setup --prefix=$(PREFIX) --buildtype=debug $@
+	if [[ "$$OSTYPE" == "darwin"* ]]; then \
+		source ./script/macos-pkgconfig-path.sh; \
+	fi; \
+    if [[ "$$OSTYPE" == "linux-gnu"* ]]; then \
+		$(MESON) setup --prefix=$(PREFIX) --buildtype=debug $@; \
+	else \
+		$(MESON) setup --prefix=$(PREFIX) --buildtype=debug -Dapp_indicator=false $@; \
+	fi
 
 $(PREFIX):
 	$(MKDIR) $@

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sphinx-book-theme==0.3.3
+sphinx-book-theme
 ablog
 sphinxnotes-strike
 sphinxnotes-mock

=== debian/changelog ===
srain (1.8.1-1) unstable; urgency=medium

  * QA upload.
  * uscan: Use GitHub template.
  * New upstream version 1.8.1.

 -- Bastian Germann <bage@debian.org>  Mon, 17 Nov 2025 19:30:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: srain
 Section: net
 Priority: optional
-Maintainer: Anuradha Weeraman <anuradha@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       meson,
 	       ninja-build,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: SrainApp
Project: srain
